Save Schema Trigger
Create or update a schema (database) trigger.
post
Authorizations
HTTPRequired
JWT Bearer Authorization
Body
SaveSchemaTrigger
correlationIdstring Β· nullableOptional
CorrelationId for each request
cultureCodestring Β· nullableOptional
Specify culture code when your response from the API should be localised. E.g.: en
timeZoneIdstring Β· nullableOptional
TimeZone
versionstring Β· nullableRequired
The CodeMash API version used to fetch data from the API. If not specified, the last version will be used. E.g.: v3
envstring Β· nullableOptional
Target environment for this request (e.g. TEST, STAGING). Optional β when omitted the request runs against PROD. Can be passed in a header as norbix-env.
projectIdstringRequired
ID of your project. Can be passed in a header as norbix-project-id.
Responses
200
OK
application/json
idstring Β· nullableOptional
statusstring Β· nullableOptional
post/api/SaveSchemaTrigger
POST /api/SaveSchemaTrigger HTTP/1.1
Host: hub.norbix.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 289
{
"correlationId": "text",
"cultureCode": "text",
"timeZoneId": "text",
"version": "text",
"env": "text",
"projectId": "text",
"trigger": {
"type": "Membership",
"triggerId": "text",
"name": "text",
"description": "text",
"isEnabled": true,
"preExecuteCode": "text",
"action": {
"integrationId": "text",
"type": "Code"
}
}
}200
OK
{
"responseStatus": {
"isSuccess": true,
"errors": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": "[Circular Reference]"
}
]
}
],
"success": {
"isSuccess": true,
"errors": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": "[Circular Reference]"
}
]
}
],
"success": {
"isSuccess": true,
"errors": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": "[Circular Reference]"
}
]
}
],
"success": {
"isSuccess": true,
"errors": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": [
{
"message": "text",
"errorCode": "text",
"context": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"stackTrace": "[Circular Reference]"
}
]
}
],
"success": {
"isSuccess": true,
"errors": "[Circular Reference]",
"success": "[Circular Reference]"
}
}
}
}
},
"id": "text",
"status": "text"
}Request body
Step 1 β pick the action
Step 2 β pick the delivery settings
Email delivery β EmailCampaignDeliverySettingsDto
Push delivery β PushCampaignDeliverySettingsDto
SMS delivery β SmsCampaignDeliverySettingsDto
Webhook, Code and SSE delivery
In the dashboard
Use it from code
Last updated